com.hammurapi.common

## Class TokenExpanderScriptEngine

- java.lang.Object
- - javax.script.AbstractScriptEngine
  - - com.hammurapi.common.TokenExpanderScriptEngine

- All Implemented Interfaces:
    ScriptEngine

      public class TokenExpanderScriptEngine
      extends AbstractScriptEngine

- - ### Field Summary

    - ### Fields inherited from class javax.script.AbstractScriptEngine

      `context`

    - ### Fields inherited from interface javax.script.ScriptEngine

      `ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenExpanderScriptEngine()`
    `TokenExpanderScriptEngine(ScriptEngineFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `createBindings()`
    `Object` | `eval(Reader reader, ScriptContext scriptContext)`
    `Object` | `eval(String script, ScriptContext scriptContext)`
    `protected String` | `evalToken(ScriptContext scriptContext, String name)`
    `ScriptEngineFactory` | `getFactory()`

    - ### Methods inherited from class javax.script.AbstractScriptEngine

      `eval, eval, eval, eval, get, getBindings, getContext, getScriptContext, put, setBindings, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenExpanderScriptEngine

          public TokenExpanderScriptEngine()

    - #### TokenExpanderScriptEngine

          public TokenExpanderScriptEngine(ScriptEngineFactory factory)

  - ### Method Detail

    - #### eval

          public Object eval(String script,
                    ScriptContext scriptContext)
                      throws ScriptException

      Throws:
        `ScriptException`

    - #### evalToken

          protected String evalToken(ScriptContext scriptContext,
                         String name)
                              throws ScriptException

      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader,
                    ScriptContext scriptContext)
                      throws ScriptException

      Throws:
        `ScriptException`

    - #### createBindings

          public Bindings createBindings()

    - #### getFactory

          public ScriptEngineFactory getFactory()